require "scripts/levelselect.lua"
require "scripts/loadlevel.lua"
require "scripts/gameplay.lua"
require "scripts/backgrounds/bg1.lua"

function love.load()
	--load images
	image_spikeball=love.graphics.newImage("images/spikeball.png")
	bg1_image=love.graphics.newImage("images/bg1.jpg")
	font_verasans20=love.graphics.newFont(20)
	font_verasans15=love.graphics.newFont(15)
	
	--filesystem stuff
	love.filesystem.setIdentity("tesselode_tilt")
	love.filesystem.mkdir("custom")
	
	--start on level select screen
	screen="levelselect"
	levelselect_load()
end

function love.update()
	if screen=="levelselect" then
		levelselect_update()
	end

	if screen=="gameplay" then
		gameplay_update()
	end
end

function love.keypressed(key)
	if screen=="gameplay" then
		if key=="f5" then
			createlevel()
			gameplay_load()
		end
	end
end

function love.draw()
	if screen=="levelselect" then
		levelselect_draw()
	end
	
	if screen=="gameplay" then
		gameplay_draw()
		love.graphics.setColor(255,255,255,255)
		love.graphics.setFont(font_verasans15)
		love.graphics.print("Press F5 to restart",50,50)
	end
end
