function levelselect_load()
	numlevels=0 --load list of levels
	levelpath={}
	for i,v in ipairs(love.filesystem.enumerate("custom")) do
		numlevels=i
		levelpath[i]="custom/"..v
	end

	scroll_y=0 --determine height of menu
	scroll_height=(numlevels-4)*100
	if scroll_height>0 then scroll_height=0 end

	selectedfile=1
end

function levelselect_update()
	if love.mouse.getY()>love.graphics.getHeight()-100 and scroll_y<scroll_height then --scroll menu based on mouse position
		scroll_y=scroll_y+500*love.timer.getDelta()
	end

	if love.mouse.getY()<100 and scroll_y>0 then
		scroll_y=scroll_y-500*love.timer.getDelta()
	end

	selectedfile=math.floor((love.mouse.getY()+scroll_y)/100) --figure out which file mouse is over

	if selectedfile<1 then selectedfile=1 end --check if mouse it outside menu - don't let selected file go out of bounds
	if selectedfile>numlevels then selectedfile=numlevels end

	if love.mouse.isDown("l") and numlevels>0 then
		loadlevel(levelpath[selectedfile])
		createlevel()
		gameplay_load()
		bg1_load()
		screen="gameplay"
	end
end

function levelselect_draw()
	local a
	love.graphics.setLineWidth(4)
	love.graphics.setFont(font_verasans20)

	if numlevels>0 then
		for a=1,numlevels do
			if a==selectedfile then --make selected file brighter
				love.graphics.setColor(255,255,255,255)
			else
				love.graphics.setColor(200,200,200,255)
			end
			love.graphics.rectangle("line",50,(100*a)-scroll_y,500,100)
			love.graphics.printf(levelpath[a],100,(100*a)+50-scroll_y,400)
		end
	else
		love.graphics.setColor(255,255,255,255)
		love.graphics.printf("No custom levels available\nWhat did you do with those poor samples?",50,love.graphics.getHeight()/2,love.graphics.getWidth()-100,"center")
	end
end
